package com.sunxung.factoring.entity.financing.apply;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 融资申请-申请人信息表
 * </p>
 *
 * @author liutao
 * @since 2023-12-19
 */
@TableName("c_financing_applicant_info")
public class CFinancingApplicantInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 融资管理基础信息表ID
     */
    @TableField("c_financing_basic_info_id")
    private Long financingBasicInfoId;

    /**
     * 业务编号
     */
    @TableField("business_number")
    private String businessNumber;

    /**
     * 供应商ID
     */
    @TableField("supplier_id")
    private Long supplierId;

    /**
     * 保理申请人联系人
     */
    @TableField("applicant_contact")
    private String applicantContact;

    /**
     * 保理申请人联系电话
     */
    @TableField("applicant_contact_number")
    private String applicantContactNumber;

    /**
     * 保理申请人联系人邮箱
     */
    @TableField("applicant_contact_email")
    private String applicantContactEmail;

    /**
     * 保理申请人指定账户户名
     */
    @TableField("applicant_designated_account_name")
    private String applicantDesignatedAccountName;

    /**
     * 保理申请人指定账户
     */
    @TableField("applicant_designated_account")
    private String applicantDesignatedAccount;

    /**
     * 保理申请人指定账户开户行
     */
    @TableField("applicant_designated_bank")
    private String applicantDesignatedBank;

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getApplicantContact() {
        return applicantContact;
    }

    public void setApplicantContact(String applicantContact) {
        this.applicantContact = applicantContact;
    }

    public String getApplicantContactNumber() {
        return applicantContactNumber;
    }

    public void setApplicantContactNumber(String applicantContactNumber) {
        this.applicantContactNumber = applicantContactNumber;
    }

    public String getApplicantContactEmail() {
        return applicantContactEmail;
    }

    public void setApplicantContactEmail(String applicantContactEmail) {
        this.applicantContactEmail = applicantContactEmail;
    }

    public String getApplicantDesignatedAccountName() {
        return applicantDesignatedAccountName;
    }

    public void setApplicantDesignatedAccountName(String applicantDesignatedAccountName) {
        this.applicantDesignatedAccountName = applicantDesignatedAccountName;
    }

    public String getApplicantDesignatedAccount() {
        return applicantDesignatedAccount;
    }

    public void setApplicantDesignatedAccount(String applicantDesignatedAccount) {
        this.applicantDesignatedAccount = applicantDesignatedAccount;
    }

    public String getApplicantDesignatedBank() {
        return applicantDesignatedBank;
    }

    public void setApplicantDesignatedBank(String applicantDesignatedBank) {
        this.applicantDesignatedBank = applicantDesignatedBank;
    }

    public Long getFinancingBasicInfoId() {
        return financingBasicInfoId;
    }

    public void setFinancingBasicInfoId(Long financingBasicInfoId) {
        this.financingBasicInfoId = financingBasicInfoId;
    }
}
